Loading...
Searching...
No Matches
juce::AndroidDocumentInfo Class Reference

`#include <juce_AndroidDocument.h>`

## Public Member Functions

bool | exists () const
bool | isDirectory () const
bool | isFile () const
bool | canRead () const
bool | canWrite () const
bool | canDelete () const
bool | canCreateChildren () const
bool | canRename () const
bool | canCopy () const
bool | canMove () const
bool | isVirtual () const
String | getName () const
String | getType () const
int64 | getLastModified () const
bool | isLastModifiedValid () const
int64 | getSizeInBytes () const
bool | isSizeInBytesValid () const

## Detailed Description

Some information about a document.

Each instance represents some information about the document at the point when the instance was created.

Instance information is not updated automatically. If you think some file information may have changed, create a new instance.

Definition at line 38 of file juce_AndroidDocument.h.

## Member Function Documentation

## canCopy()

bool juce::AndroidDocumentInfo::canCopy | ( |  | ) | const

inline

True if this document can be copied.

Definition at line 83 of file juce_AndroidDocument.h.

## canCreateChildren()

bool juce::AndroidDocumentInfo::canCreateChildren | ( |  | ) | const

inline

True if this is a directory and adding child documents is supported.

Definition at line 77 of file juce_AndroidDocument.h.

## canDelete()

bool juce::AndroidDocumentInfo::canDelete | ( |  | ) | const

inline

True if this document can be removed completely from the filesystem.

Definition at line 74 of file juce_AndroidDocument.h.

## canMove()

bool juce::AndroidDocumentInfo::canMove | ( |  | ) | const

inline

True if this document can be moved.

Definition at line 86 of file juce_AndroidDocument.h.

## canRead()

bool juce::AndroidDocumentInfo::canRead | ( |  | ) | const

inline

True if this process has permission to read this file.

If this returns true, and the AndroidDocument refers to a file rather than a directory, then AndroidDocument::createInputStream should work on this document.

Definition at line 57 of file juce_AndroidDocument.h.

## canRename()

bool juce::AndroidDocumentInfo::canRename | ( |  | ) | const

inline

True if this document can be renamed.

Definition at line 80 of file juce_AndroidDocument.h.

## canWrite()

bool juce::AndroidDocumentInfo::canWrite | ( |  | ) | const

inline

True if this is a document that can be written, or a directory that can be modified.

If this returns true, and the AndroidDocument refers to a file rather than a directory, then AndroidDocument::createOutputStream should work on this document.

Definition at line 64 of file juce_AndroidDocument.h.

## exists()

bool juce::AndroidDocumentInfo::exists | ( |  | ) | const

inline

True if this file really exists.

Definition at line 44 of file juce_AndroidDocument.h.

## getLastModified()

int64 juce::AndroidDocumentInfo::getLastModified | ( |  | ) | const

inline

Timestamp when a document was last modified, in milliseconds since January 1, 1970 00:00:00.0 UTC.

Use isLastModifiedValid() to determine whether or not the result of this function is valid.

Definition at line 106 of file juce_AndroidDocument.h.

## getName()

String juce::AndroidDocumentInfo::getName | ( |  | ) | const

inline

The user-facing name.

This may or may not contain a file extension. For files identified by a URL, the MIME type is stored separately.

Definition at line 96 of file juce_AndroidDocument.h.

## getSizeInBytes()

int64 juce::AndroidDocumentInfo::getSizeInBytes | ( |  | ) | const

inline

The size of the document in bytes, if known.

Use isSizeInBytesValid() to determine whether or not the result of this function is valid.

Definition at line 116 of file juce_AndroidDocument.h.

## getType()

String juce::AndroidDocumentInfo::getType | ( |  | ) | const

inline

The MIME type of this document.

Definition at line 99 of file juce_AndroidDocument.h.

## isDirectory()

bool juce::AndroidDocumentInfo::isDirectory | ( |  | ) | const

True if this is a directory rather than a file.

Referenced by getType(), and isFile().

## isFile()

bool juce::AndroidDocumentInfo::isFile | ( |  | ) | const

inline

True if this is a file rather than a directory.

Definition at line 50 of file juce_AndroidDocument.h.

## isLastModifiedValid()

bool juce::AndroidDocumentInfo::isLastModifiedValid | ( |  | ) | const

inline

True if the filesystem provided a modification time.

Definition at line 109 of file juce_AndroidDocument.h.

## isSizeInBytesValid()

bool juce::AndroidDocumentInfo::isSizeInBytesValid | ( |  | ) | const

inline

True if the filesystem provided a size in bytes.

Definition at line 119 of file juce_AndroidDocument.h.

## isVirtual()

bool juce::AndroidDocumentInfo::isVirtual | ( |  | ) | const

inline

True if this document isn't a physical file on storage.

Definition at line 89 of file juce_AndroidDocument.h.

The documentation for this class was generated from the following file:

- juce_AndroidDocument.h